> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Snooze an alert



## OpenAPI

````yaml /api-reference/openapi.json post /alerts-v2/{alertId}/snooze
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: ''
    description: Production server
security: []
paths:
  /alerts-v2/{alertId}/snooze:
    post:
      tags:
        - Alerts V2
      summary: Snooze an alert
      operationId: snoozeAlertV2
      parameters:
        - schema:
            type: string
          required: true
          name: alertId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                alertType:
                  type: string
                  enum:
                    - Cost
                    - Budget
                snoozedUntil:
                  type: string
                  format: date-time
              required:
                - alertType
                - snoozedUntil
            example:
              alertType: Cost
              snoozedUntil: '2027-01-05T09:00:00.000Z'
      responses:
        '200':
          description: Alert snoozed
          content:
            application/json:
              schema: {}
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
        '404':
          description: Alert not found in the authenticated organization
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AlertError'
              example:
                error: Alert not found
      security:
        - bearerAuth: []
components:
  schemas:
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
    AlertError:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````